Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » error occors after move the runtime to rap 2.0 nightly build!
error occors after move the runtime to rap 2.0 nightly build! [message #933468] Fri, 05 October 2012 03:23 Go to next message
Song David is currently offline Song David
Messages: 190
Registered: April 2011
Senior Member
hi all,
two errors occor after I move the runtime to rap 2.0 nightly build.
1, chinese garbage characters in table viewer
2,
Error: Error: Operation "create" on target "w26" of type "null" failed:
No Adapter for type com.xxx.MSLine
Properties: 
parent = w19
appearance = composite
overflow = hidden
bounds = 0,0,376,234
children = 
tabIndex = 17


I change JSWriter to IClientObject for my custom widgets, but errors occor!

Thanks, any help is appreciate

David

[Updated on: Fri, 05 October 2012 03:24]

Report message to a moderator

Re: error occors after move the runtime to rap 2.0 nightly build! [message #948717 is a reply to message #933468] Thu, 18 October 2012 09:54 Go to previous messageGo to next message
Missing name Missing name
Messages: 1
Registered: July 2009
Junior Member
I am wrestling with the same issue when migrating from JSWriter to IClientObject in our custom widgets. I am currently migrating from 1.4 to 1.5 and trying to get rid of deprecated API usage.

Any hint what might be the problem? Any link to a migration guide/tutorial/sample?
Re: error occors after move the runtime to rap 2.0 nightly build! [message #948973 is a reply to message #948717] Thu, 18 October 2012 15:02 Go to previous message
Ralf Sternberg is currently offline Ralf Sternberg
Messages: 1291
Registered: July 2009
Senior Member

On 10/18/2012 02:11 PM, Missing name Mising name wrote:
> I am wrestling with the same issue when migrating from JSWriter to
> IClientObject in our custom widgets. I am currently migrating from 1.4
> to 1.5 and trying to get rid of deprecated API usage.
>
> Any hint what might be the problem? Any link to a migration
> guide/tutorial/sample?

With the new protocol, the part of RWT that communicates with the client
is changing massively at the moment. At release time, things will have
cooled down and we will provide a wiki page with advice on writing
custom widgets for RAP 2.0 [1]. Until then you can safely stay with 1.5
(there will be another service release in Feb 2013).

For early adopters, I'd recommend to have a look at the LCAs for the
core widgets in HEAD. JSWriter does not exist anymore, as no JavaScript
is written to the client. For alternatives to the JSWriter, have a look
at WidgetLCAUtil#renderProperty and friends. On the client, your custom
widget needs a protocolAdapter [2].

Regards,
Ralf

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=392337
[2]
http://git.eclipse.org/c/rap/org.eclipse.rap.git/tree/bundles/org.eclipse.rap.rwt/js/rwt/protocol/adapter/GroupAdapter.js

--
Ralf Sternberg

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Previous Topic:How to provide a download button?
Next Topic:Accessing default presentations while using a PresentationFactory
Goto Forum:
  


Current Time: Sat Oct 25 10:22:06 GMT 2014

Powered by FUDForum. Page generated in 0.02223 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software